local _determine_move_direction = PlayerStandard._determine_move_direction
function PlayerStandard:_determine_move_direction()
	local _cam_fwd = self._cam_fwd
	local _cam_fwd_flat = self._cam_fwd_flat

	local rotation = self._ext_camera:rotation()
	self._cam_fwd = Rotation(rotation:yaw(), rotation:pitch(), 0):y()
	self._cam_fwd_flat = mvector3.copy(self._cam_fwd)
	mvector3.set_z(self._cam_fwd_flat, 0)
	mvector3.normalize(self._cam_fwd_flat)

	_determine_move_direction(self)

	self._cam_fwd = _cam_fwd
	self._cam_fwd_flat = _cam_fwd_flat
end
